NTPD(1)

NOM
ntpd - Programme démon NTP

SYNOPSIS
ntpd [-flag [valeur]]... [--opt-name [[=| ]valeur]]...

Tous les arguments sont optionnels.

DESCRIPTION
Cette page de manuel documente brièvement la commande ntpd.

OPTIONS

-4, --ipv4
    Forcer la résolution de nom DNS IPv4. Cette option est un membre de la classe ipv4 d'options.

    Forcer la résolution DNS de nom des hôtes qui suivent sur la ligne de commande avec les espaces de nom d'IPv4.

-6, --ipv6
    Forcer la résolution de nom DNS IPv6. Cette option est un membre de la classe ipv4 d'options.

    Forcer la résolution DNS de nom des hôtes qui suivent sur la ligne de commande avec les espaces de nom d'IPv6.

-a, --authreq
    Demander une authentification cryptographique. Cette option ne doit pas être utilisée avec l'option suivante : authnoreq.

    Demander une authentification cryptographique pour le client de diffusion, le client de multi-diffusion et les associations passives symétriques. C'est l'option par défaut.

-A, --authnoreq
    Ne pas demander d'authentification cryptographique. Cette option ne doit pas être utilisée avec l'option l'option suivante : authreq.

    Ne pas demander d'authentification cryptographique pour le client de diffusion, le client de multi-diffusion et les associations passives symétriques. Ne nécessite pas une cryptographie pour l'authentification du client de diffusion, client de multi-diffusion et les associations symétriques passives. Ce n'est généralement pas une bonne idée.

-b, --bcastsync
    Permettre la synchronisation avec les serveurs de diffusion.

-c chaîne, --configfile=chaîne
    Nom du fichier de configuration.

    Le nom et le chemin du fichier de configuration, /etc/ntp.conf par défaut.

-d, --debug-level
    Augmenter le niveau de volubilité des messages de débogage en sortie. Cette option peut apparaître en nombre de fois illimité.

    Augmenter le niveau de volubilité du débogage en sortie.

-D chaîne, --set-debug-level=chaîne
    Définir le niveau de volubilité du débogage en sortie. Cette option peut apparaître en nombre de fois illimité.

    Définir le niveau de volubilité du débogage en sortie. Peut-être fournie à plusieurs reprises, mais écrase les valeurs précédentes.

-f chaîne, --driftfile=chaîne
    Nom du fichier de dérive en fréquence.

    Le nom et chemin du fichier de fréquence, /etc/ntp.drift par défaut. C'est la même opération que la spécification de configuration driftfile driftfile du fichier de dérive en fréquence dans le fichier /etc/ntp.conf.

-g, --panicgate
    Permettre que le premier ajustement soit grand.

    Normalement, ntpd quitte avec un message vers le fichier de journalisation du système si le décalage excède le seuil critique, qui est de 1000 s par défaut. Cette option permet de définir le temps avec n'importe quelle valeur ; cependant, cela ne peut être fait qu'une seule fois. Si par la suite le seuil est dépassé, ntpd quittera en envoyant un message dans le fichier de journalisation du système. Cette option peut être utilisée avec les options -q et -x. Voir la directive tinker du fichier de configuration pour les autres options.

-i chaîne, --jaildir=chaîne
    Répertoire verrouillé.

    Créer un environnement restreint (Ndt : chroot) pour le serveur dans le répertoire « chaîne ». Cette option implique aussi que le serveur tente d'abandonner les droits superutilisateur au démarrage (autrement, chroot apporte très peu de sécurité supplémentaire), et ce n'est disponible que si le système d'exploitation prend en charge l'exécution du serveur sans tous les privilèges superutilisateur. Vous pouvez avoir besoin de spécifier l'option -u.

-I iface, --interface=iface
    Se mettre à l'écoute de l'interface. Cette option peut être utilisée un nombre illimité de fois.

-k chaîne, --keyfile=chaîne
    Chemin des clés symétriques.

    Spécifie le nom et le chemin du fichier de clés symétriques. /etc/ntp.keys est le fichier par défaut. C'est la même opération que la directive keys keyfile du fichier de configuration.

-l chaîne, --logfile=chaîne
    Chemin du fichier de journalisation.

    Spécifie le nom et le chemin du fichier de journalisation. Le fichier par défaut est le fichier de journalisation système. C'est la même opération que la directive log logfile du fichier de configuration.

-L, --novirtualips
    Ne pas écouter les adresses IP virtuelles.

    Ne pas écouter les adresses IP virtuelles. Le comportement par défaut est d'être à l'écoute.

-M, --modifymmtimer
    Modifier le temporisateur multimedia (Windows seulement).

    Règler le temporisateur multimedia de Windows à la résolution maximale.

-n, --nofork
    Ne pas bifurquer (Ndt : fork).

-N, --nice
    Exécuter à haute priorité.

    Dans la mesure permise par le système d'exploitation, exécuter ntpd avec la plus haute priorité.

-p chaîne, --pidfile=chaîne
    Chemin du fichier PID.

    Spécifie le nom et le chemin du fichier utilisé pour enregistrer l'identifiant des processus de ntpd. C'est la même opération que la directive de configuration pid pidfile.

-P nombre, --priority=nombre
    Priorité des processus. Cette option prend un nombre entier comme argument.

    Dans la mesure permise par le système d'exploitation, exécuter ntpd avec la priorité sched_setscheduler(SCHED_FIFO) spécifiée.

-q, --quit
    Règle le temps et quitte.

    ntpd quittera juste après le premier réglage de l'horloge. Ce comportement imite le programme ntpdate, qui a été retiré. Les options -g et -x peuvent être utilisées avec cette option. Note : La discipline du temps du noyau est désactivée avec cette option.

-r chaîne, --propagationdelay=chaîne
    Délai de diffusion/propagation.

    Spécifie le délai de propagation par défaut du serveur de diffusion/multi-diffusion de ce client. C'est nécessaire seulement si le délai ne peut pas être calculé automatiquement par le protocole.

-U nombre, --updateinterval=nombre
    Intervalle en secondes entre chaque balayage de nouvelles interfaces ou effacées. Cette option prend un nombre entier comme argument.

    Donne le temps en seconde entre deux balayages de nouvelles interfaces ou effacées. Pour les systèmes à support de socket de routage, les balayages seront effectués peu de temps après que le changement de l'interface ait été détecté par le système. Utilisez 0 pour désactiver le balayage. 60 secondes est le temps minimum de entre les balayages.

-s chaîne, --statsdir=chaîne
    Localisation des fichiers statistiques.

    Spécifie le répertoire pour les fichiers créés par l'établissement de statistiques. C'est la même opération que la directive du fichier de configuration statsdir statsdir.

-t tkey, --trustedkey=tkey
    Numéro de clé de confiance. Cette option peut apparaître en nombre illimité de fois.

    Ajoute un numéro de clé à la liste de clé de confiance.

-u chaîne, --user=chaîne
    Exécuter en tant que userid (ou userid:groupid)

    Spécifie un utilisateur, et éventuellement un groupe, vers lequel commuter. Cette option n'est disponible que si le système d'exploitation prend en charge l'exécution du serveur sans tous les droits superutilisateur. Actuellement, cette option est prise en charge par NetBSD (configure avec --enable-clockctl) et Linux (configure avec --enable-linuxcaps).

-v nvar, --var=nvar
    Faire de ARG une variable ntp (RW). Cette option peut apparaître en nombre illimité de fois.

-V ndvar, --dvar=ndvar
    Faire de ARG en variable ntp (RW|DEF). Cette option peut apparaître en nombre illimité de fois.

-x, --slew
    Faire un saut de 600 secondes.

    Normalement, le temps fait un saut si l'offset est inférieur au pas du seuil, qui est de 128 ms par défaut, et fait un pas s'il est au-delà du seuil. Cette option définit le seuil à 600 secondes, qui est bien dans la fenêtre de précision pour régler l'horloge manuellement. Note : puisque le taux de dérive des noyaux Unix typiques est limité à 0,5 ms/s, chaque seconde d'ajustement exige un intervalle d'amortissement de 2000 s. Ainsi, un ajustement de 600 s prendra presque 14 jours pour se terminer. Cette option peut être utilisée avec les options -g et -q. Voir la directive tinker du fichier de configuration pour d'autres options. Note : La correction du temps du noyau est désactivée avec cette option.

-?, --help
    Afficher un message d'utilisation et quitter.

-!, --more-help
    Les informations d'utilisation étendues sont passées à travers le bip.

-v [{v|c|n}], --version[={v|c|n}]
    Afficher les informations de version et quitter. Le mode par défaut est « v », juste le numéro de version. Le mode « c » affichera les informations de droits d'auteur et « n » affichera la notice complète des droits d'auteur.

OPTIONS PRÉDÉFINIES
N'importe quelle option, qui n'est pas marquée comme non préréglable, peut être préréglée en chargeant des valeurs à partir de variables d'environnement nommées :
  NTPD_<option-name> ou NTPD

AUTEUR
David L. Mills et/ou autres
Veuillez signaler les bogues à : http://bugs.ntp.isc.org, bugs@ntp.org

Voir html/copyright.html

Cette page de manuel a été auto-générée à partir les définitions d'options de ntpd.

TRADUCTION
Ce document est une traduction réalisée par Nassim Lehri <nassimlehri AT gmail DOT com> le 24 mars 2008 et révisée le 25 avril 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 ntpd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.